# Class CIM_SubUoWDef
extends CIM_Dependency

This association defines the sub-UnitsOfWork (the sub- transactions) for a particular UnitOfWorkDefinition. For example, an 'AddOrder' UnitOfWork could have sub-Units of 'ValidateCustomer', 'ValidatePartNumber', 'UpdateDatabase', etc. This is a Dependency relationship since the sub-UnitsOf Work are put in context relative to the parent Unit. It is not an aggregation relationship - since (using another example) a 'DatabaseWrite' transaction is likely to be dependent upon a 'DiskWrite', but the two transactions are separate concepts and one is not 'contained' by the other.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SubUoWDef

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association defines the sub-UnitsOfWork (the sub- transactions) for a particular UnitOfWorkDefinition. For example, an 'AddOrder' UnitOfWork could have sub-Units of 'ValidateCustomer', 'ValidatePartNumber', 'UpdateDatabase', etc. This is a Dependency relationship since the sub-UnitsOf Work are put in context relative to the parent Unit. It is not an aggregation relationship - since (using another example) a 'DatabaseWrite' transaction is likely to be dependent upon a 'DiskWrite', but the two transactions are separate concepts and one is not 'contained' by the other.

UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SubUoWDef | CIM_UnitOfWorkDefinition
Dependent | CIM_SubUoWDef | CIM_UnitOfWorkDefinition

## Class Methods